import 'package:flutter/material.dart';
import 'package:google_fonts/google_fonts.dart';
import '../main.dart';
import 'box_name.dart';
import 'colors.dart';

class AppStyle {
  static TextStyle headTitle = TextStyle(
      fontWeight: FontWeight.bold,
      fontSize: 36,
      color: AppColor.accentColor,
      fontFamily: box.read(BoxName.lang) == 'ar'
          // ?GoogleFonts.markaziText().fontFamily
          ? GoogleFonts.markaziText().fontFamily
          : GoogleFonts.inter().fontFamily);
  static TextStyle headTitle2 = TextStyle(
      fontWeight: FontWeight.bold,
      fontSize: 24,
      color: AppColor.writeColor,
      fontFamily: box.read(BoxName.lang) == 'ar'
          ? GoogleFonts.markaziText().fontFamily
          : GoogleFonts.inter().fontFamily);
  static TextStyle title = TextStyle(
      fontWeight: FontWeight.normal,
      fontSize: 16,
      color: AppColor.writeColor,
      fontFamily: box.read(BoxName.lang) == 'ar'
          ? GoogleFonts.markaziText().fontFamily
          : GoogleFonts.inter().fontFamily);
  static TextStyle subtitle = TextStyle(
      fontWeight: FontWeight.bold,
      fontSize: 12,
      color: AppColor.writeColor,
      fontFamily: box.read(BoxName.lang) == 'ar'
          ? GoogleFonts.markaziText().fontFamily
          : GoogleFonts.inter().fontFamily);
  static TextStyle number = const TextStyle(
      fontWeight: FontWeight.bold,
      fontSize: 14,
      color: AppColor.writeColor,
      fontFamily: 'digit');

  static BoxDecoration boxDecoration = BoxDecoration(
      boxShadow: [
        BoxShadow(
            color: AppColor.accentColor.withValues(alpha: 0.1),
            blurRadius: 10,
            offset: const Offset(0, 4)),
      ],
      color: AppColor.secondaryColor,
      borderRadius: BorderRadius.circular(16));

  static BoxDecoration boxDecoration1 = BoxDecoration(
    boxShadow: [
      BoxShadow(
          color: Colors.black.withValues(alpha: 0.05),
          blurRadius: 15,
          offset: const Offset(0, 8)),
    ],
    color: AppColor.secondaryColor,
    borderRadius: BorderRadius.circular(20),
  );


}
